/**
*
* @author Sreejith Viswambharan
* @date 5-27-2014
* @desc Ford News Subscription page accordion control
*
*/
(function ($) {
    var _properties = {
        _id: 'Drildown',
        _isOpen: false,
        _barColor: "lightblue",
        _textColor: "black",
        _iconPosition: "left",
        _expandIcon: "skin/css/images/expand.png",
        _collapesIcon: "skin/css/images/collapse.png"
    }

    $.fn.getReady = function (el) {
        _properties._isOpen = el.isOpen ? el.isOpen : _properties._isOpen;
        _properties._id = el.id ? el.id : _properties._id;
        _properties._barColor = el.barColor ? el.barColor : _properties._barColor;
        _properties._textColor = el.textColor ? el.textColor : _properties._textColor;
        _properties._iconPosition = el.iconPosition ? el.iconPosition : _properties._iconPosition;
        _properties._expandIcon = el.expandIcon ? el.expandIcon : _properties._expandIcon;
        _properties._collapesIcon = el.collapesIcon ? el.collapesIcon : _properties._collapesIcon;
        $('.Drildown').each(function (item) {
            $(this).attr('id', _properties._id + 'MenuItem' + item);
            $(this.nextElementSibling).attr('id', _properties._id + "MenuItem" + item + "List");
            $(this.getElementsByTagName('img')).attr('id', _properties._id + 'MenuItem' + item + 'Icon');
        });
        $(this).click(function () {
            $("#" + _properties._id).drildown(this, _properties._id);
        });
        $('.Drildown').css("padding", 25);
        $('.Drildown').css("background-color", _properties._barColor);
        $('.Drildown').css("color", _properties._textColor);
        $('.Drildown').append(' <img class="ListIconImg" src="' + _properties._collapesIcon + '"/>');
        $('.ListIconImg').css("width", 32);
        $('.ListIconImg').css("margin-right", 15);
        $('.ListIconImg').css("float", _properties._iconPosition);
        $(".Drildown").next().each(function () {
            $(this).css('height', 0);
            $(this).css('display', 'none');
        });

    }
    $.fn.drildown = function (element, el) {
        this.id = element.id;
       
        if ($("#" + this.id).attr("Expand") == "true") {
            $(element).find('.togglebox').remove()
            $("#" + this.id + "List").hide();
            $("#" + this.id).attr("Expand", false);
            $("#" + this.id + " .ListIconImg").attr("src", _properties._collapesIcon);
            $("#" + this.id + "List").animate({
                height: "0px",
            }, 0);
        } else {
            if($("#" + this.id + " .noToggleGroup").length == 0){
                $("#" + this.id).append(addToggleButton(this.id));
            }
            if($("#"+element.nextElementSibling.id+" img[style*='display: none']").length > 0){
                $(element).find("input").removeAttr("checked");
            }
            $(element).find('.togglebox').click(function(event){
                event.stopPropagation();
                if($(this.parentElement).find('input')[0].checked){
                    $(this.parentElement).find('input').removeAttr("checked");
                    $(this.parentElement.nextSibling).find("img").hide();
                }else{
                    $(this.parentElement.nextSibling).find("img[style*='display: none']").toggle()
                    $(this.parentElement).find('input').prop("checked","true");
                    if((fordnewsConfig.firstVisit == 'true' || fordnewsConfig.firstVisit == true) && fordnewsConfig.initCategoriesList != undefined && fordnewsConfig.initCategoriesList != null && fordnewsConfig.initCategoriesList != '' && fordnewsConfig.initCategoriesList.selectedCategoryList == ""){
                        fordnewsManager.exceptionHandler(fordnewsConfig.catSubTitle, $(__localStorage.get('popupMsg'+fordnewsConfig.userLanguage+'_data')).text());
                        fordnewsConfig.firstVisit = false;
                        __localStorage.set('firstvisit', false);
                    }
                }
            });
            var height = ($("#" + this.id + "TableList table tr .tableinnerdata").length * 20);
            $("#" + this.id + "List").show();
            $("#" + this.id).attr("Expand", true);
            $("#" + this.id + " .ListIconImg").attr("src", _properties._expandIcon);
            $("#" + this.id + "List").attr('style', 'min-height: ' + height + 'px');
        }
    };

    var addToggleButton = function(id){
        var content = "";
        content = content + "<span style='float:right;' class='togglebox' onclick=''><div class='onoffswitch'>";
        content = content + "<input id='groupCheckBox' type='checkbox' name='onoffswitch' ";
        content = content + "class='onoffswitch-checkbox' id='myonoffswitch' checked> <label ";
        content = content + "class='onoffswitch-label' for='myonoffswitch'> <span ";
        content = content + "class='onoffswitch-inner'></span> <span class='onoffswitch-switch'></span>";
        content = content + "</label></div></span>";
        return content;
    }
    
})(jQuery);