/**
 * 
 * @author Ansad
 * @date 08-28-2013
 * @desc store the data in HTML5 localstorage
 * 
*/
var __localStorage = {
	// get the localStorage data using key
	get : function(key) {
	    try{
	            var value = window.localStorage.getItem(key);
	            var type = window.localStorage.getItem(key+'_type');
	            if(type == 'object') {
	                value = eval('('+value+')');
	            }
	            return value;
	        }catch(e)
	        {
	            return undefined;
	        }
    },
    // Set the localStorage data using key and value
    set : function(key, value) {
        if(typeof value == 'object') {
            value = JSON.stringify(value);
            window.localStorage.setItem(key+'_type', 'object');
        }
        else {
            window.localStorage.setItem(key+'_type', 'char');
        }
        window.localStorage.setItem(key, value);
    },
    // Clear the localStorage
    clear: function() {
        window.localStorage.clear();
    }
};